# -*- coding: utf-8 -*-
"""AI_TEST.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/13zN5lcUU2J70KqQBzGruLrioF2rf_844

#Task 2
"""

import numpy as np

points = []
f = open('b.dat')
for line in f:
  points.append(list(map(float, line.split(' '))))

points = np.array(points)

from matplotlib import pyplot as plt

from sklearn.mixture import GaussianMixture

cl = GaussianMixture(n_components=3)
c=cl.fit_predict(points)
plt.scatter(points[:, 0], points[:, 1], c=c, s=1)

from sklearn.tree import DecisionTreeClassifier
clf = DecisionTreeClassifier()
clf.fit(points, c)

import graphviz
from sklearn import tree

dot_data = tree.export_graphviz(clf, out_file=None)
graph = graphviz.Source(dot_data)
graph.render("mytree")

import pickle 
f = open("a.pkl", "wb")
pickle.dump(clf, f)